package protocol

// Update操作标志
type UpdateFlags int32

const (
	// UBF_NONE 无特殊标志
	UBF_NONE UpdateFlags = 0
	// UBF_UPSERT 如果没有匹配文档则插入新文档
	UBF_UPSERT UpdateFlags = 1 << iota
	// UBF_MULTI_UPDATE 更新所有匹配文档
	UBF_MULTI_UPDATE
)

// Update操作符
const (
	// UPDATE_OP_SET $set操作符
	UPDATE_OP_SET = "$set"
	// UPDATE_OP_INC $inc操作符
	UPDATE_OP_INC = "$inc"
	// UPDATE_OP_UNSET $unset操作符
	UPDATE_OP_UNSET = "$unset"
	// UPDATE_OP_PUSH $push操作符
	UPDATE_OP_PUSH = "$push"
	// UPDATE_OP_PULL $pull操作符
	UPDATE_OP_PULL = "$pull"
)