// Package query 实现查询处理层
package query

import (
	"fmt"

	"git.pyer.club/kingecg/goaidb/protocol"
	"git.pyer.club/kingecg/goaidb/storage"
)

// HandleQuery 处理查询请求
func HandleQuery(message *protocol.Message, engine storage.StorageEngine) ([]byte, error) {
	switch message.OpCode {
	case protocol.OP_QUERY:
		return handleOPQuery(message, engine)
	case protocol.OP_INSERT:
		return handleOPInsert(message, engine)
	// 这里可以添加更多操作码的处理逻辑
	default:
		return nil, fmt.Errorf("unsupported operation code: %d", message.OpCode)
	}
}

// 处理OP_QUERY消息
func handleOPQuery(message *protocol.Message, engine storage.StorageEngine) ([]byte, error) {
	// TODO: 实现具体的查询处理逻辑
	// 从message.Body中获取查询条件
	// 调用存储引擎进行数据查询
	// 构造响应消息
	return []byte{0x01, 0x00, 0x00, 0x00}, nil // 返回简单测试响应
}

// 处理OP_INSERT消息
func handleOPInsert(message *protocol.Message, engine storage.StorageEngine) ([]byte, error) {
	// TODO: 实现具体的插入处理逻辑
	// 从message.Body中获取要插入的数据
	// 调用存储引擎进行数据插入
	// 构造响应消息
	return []byte{0x01, 0x00, 0x00, 0x00}, nil // 返回简单测试响应
}
